com.apple.foundationdb.directory

## Class DirectoryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.apple.foundationdb.directory.DirectoryException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DirectoryAlreadyExistsException, MismatchedLayerException, NoSuchDirectoryException

    public class DirectoryException
    extends java.lang.RuntimeException

An `Exception` that is thrown by the directory layer corresponding to a specific path.

See Also:
  Serialized Form

### Field Summary

Fields
`java.util.List<java.lang.String>` `path` The directory path that was responsible for the error.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### path

    public final java.util.List<java.lang.String> path

The directory path that was responsible for the error.